Subject: [PATCH v4 0/5] iio: ADC driver for EP93xx SoC

From: [email-masked] (Jonathan Cameron)
Date: Sat, 3 Jun 2017 10:14:53 +0100

On Mon, 22 May 2017 06:29:08 +1000
Ryan Mallon <[email-masked]> wrote:

> On 22/05/17 00:03, Jonathan Cameron wrote:
> > On 17/05/17 18:13, Alexander Sverdlin wrote:  
> >> This series prepares the necessary infrastructure for ADC platform
> >> device on
> >> Cirrus Logic EP93xx family of SoCs and adds the driver for ADC device
> >> using
> >> IIO subsystem.  
> > Hartley, Ryan,
> > 
> > How do you want to handle taking this series forward.
> > Clearly we have a few arch specific bits and then the driver which
> > is dependent on some of them.  
> 
> I no longer maintain an ep93xx tree because the architecture gets very
> few patches now. Patches should go via the arm-soc tree, which is
> maintained by (I believe) Arnd and Olaf.
> 
> > 
> > I'm happy to take the lot through the IIO tree, but will be wanting
> > a few acks.  
> 
> Sure, the series looks fine to me. For the ep93xx specific bits:
> 
> Acked-by: Ryan Mallon <[email-masked]>
> 
> > I'm interested to note how few implementations there are of clk_get_parent
> > in tree.  Any comments on that little bit of the code would be
> > particularly welcome.  
> 
> The ep93xx architecture is old and obsolete. Because of this, and the
> relatively few number of people developing for it and with hardware to
> test, it hasn't gotten upgraded to some of the more modern kernel apis
> like the common clock framework.
> 
> It probably isn't too difficult to move ep93xx to the common clock
> framework, but it is a separate change and I don't think Alexander
> should have to do it as a prerequisite to getting this adc support merged.
Agreed entirely!

Alexander, would you mind reposting the whole series, with
the linux-arm-kernel at lists.infrared.org cc'd.

I've cc'd it to this email to provide a bit of background to
the maintainers, but please add a note to the cover letter
highlighting what Ryan has covered here.

Thanks,

Jonathan

> ~Ryan